package com.ruoyi.system.domain.speak;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 政协发言对象 zx_speak
 * 
 * @author boman
 * @date 2024-03-07
 */
public class ZxSpeak extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 我的发言id */
    private Long speakId;

    /** 发言标题 */
    @Excel(name = "发言标题")
    private String speakTitle;

    /** 发言人 */
    @Excel(name = "发言人")
    private String name;
    /** 发言人id */
    private Long userId;
    /** 录入人 */
    @Excel(name = "录入人")
    private String inputName;

    /** 会议活动id */
    @Excel(name = "会议活动id")
    private Long conferenceId;
    /**
     * 会议活动名称
     */
    private String conferenceTitle;

    /** 发言单位 */
    @Excel(name = "发言单位")
    private String speakUnit;
    /**
     * 发言单位id
     */
    private Long deptId;

    /** 发言类型(字典值) */
    @Excel(name = "发言类型(字典值)")
    private String speakType;

    /** 发言时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发言时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date speakTime;

    /** 录入时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "录入时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date publishTime;

    /** 状态 1:待审核 2:已审核 */
    @Excel(name = "状态 1:待审核 2:已审核")
    private String speakStatus;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getConferenceTitle() {
        return conferenceTitle;
    }

    public void setConferenceTitle(String conferenceTitle) {
        this.conferenceTitle = conferenceTitle;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void setSpeakId(Long speakId)
    {
        this.speakId = speakId;
    }

    public Long getSpeakId() 
    {
        return speakId;
    }
    public void setSpeakTitle(String speakTitle) 
    {
        this.speakTitle = speakTitle;
    }

    public String getSpeakTitle() 
    {
        return speakTitle;
    }

    public void setInputName(String inputName) 
    {
        this.inputName = inputName;
    }

    public String getInputName() 
    {
        return inputName;
    }
    public void setConferenceId(Long conferenceId) 
    {
        this.conferenceId = conferenceId;
    }

    public Long getConferenceId() 
    {
        return conferenceId;
    }
    public void setSpeakUnit(String speakUnit) 
    {
        this.speakUnit = speakUnit;
    }

    public String getSpeakUnit() 
    {
        return speakUnit;
    }
    public void setSpeakType(String speakType) 
    {
        this.speakType = speakType;
    }

    public String getSpeakType() 
    {
        return speakType;
    }
    public void setSpeakTime(Date speakTime) 
    {
        this.speakTime = speakTime;
    }

    public Date getSpeakTime() 
    {
        return speakTime;
    }
    public void setPublishTime(Date publishTime) 
    {
        this.publishTime = publishTime;
    }

    public Date getPublishTime() 
    {
        return publishTime;
    }
    public void setSpeakStatus(String speakStatus) 
    {
        this.speakStatus = speakStatus;
    }

    public String getSpeakStatus() 
    {
        return speakStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("speakId", getSpeakId())
            .append("speakTitle", getSpeakTitle())
            .append("name", getName())
            .append("userId", getUserId())
            .append("inputName", getInputName())
            .append("conferenceId", getConferenceId())
            .append("speakUnit", getSpeakUnit())
            .append("speakType", getSpeakType())
            .append("speakTime", getSpeakTime())
            .append("publishTime", getPublishTime())
            .append("speakStatus", getSpeakStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
